          SUBROUTINE ZLACGV( N, X, INCX )
    *
    *  -- LAPACK auxiliary routine (version 3.1) --
    *     Univ. of Tennessee, Univ. of California Berkeley and NAG Ltd..
    *     November 2006
    *
    *     .. Scalar Arguments ..
          INTEGER            INCX, N
    *     ..
    *     .. Array Arguments ..
          COMPLEX*16         X( * )
    *     ..
    *
    *  Purpose
    *  =======
    *
    *  ZLACGV conjugates a complex vector of length N.
    *
    *  Arguments
    *  =========
    *
    *  N       (input) INTEGER
    *          The length of the vector X.  N >= 0.
    *
    *  X       (input/output) COMPLEX*16 array, dimension
    *                         (1+(N-1)*abs(INCX))
    *          On entry, the vector of length N to be conjugated.
    *          On exit, X is overwritten with conjg(X).
    *
    *  INCX    (input) INTEGER
    *          The spacing between successive elements of X.
    *
    * =====================================================================
    *
    *     .. Local Scalars ..
          INTEGER            I, IOFF
    *     ..
    *     .. Intrinsic Functions ..
          INTRINSIC          DCONJG
    *     ..
    *     .. Executable Statements ..
    *
          IF( INCX.EQ.1 ) THEN
             DO 10 I = 1, N
                X( I ) = DCONJG( X( I ) )
       10    CONTINUE
          ELSE
             IOFF = 1
             IF( INCX.LT.0 )
         $      IOFF = 1 - ( N-1 )*INCX
             DO 20 I = 1, N
                X( IOFF ) = DCONJG( X( IOFF ) )
                IOFF = IOFF + INCX
       20    CONTINUE
          END IF
          RETURN
    *
    *     End of ZLACGV
    *
          END